# importing all the functionality of the webscraper, the below code just tells scrapy what to do.
import scrapy

# A spider is scrapy's representation of a web scraper
class ExampleSpider(scrapy.Spider):
	name = 'example';

	# the web scraper will only scrape from this website
	allowed_domains = ['www.ipwatchdog.com']; 

	# this means it will only scrape from these specific URLs within the website
	start_urls = ['https://www.ipwatchdog.com/2017/02/26/uspto-failed-fee-increase-political-shenanigans/id=78760',
	'https://www.ipwatchdog.com/2017/08/16/testing-patent-claim-abstract-idea-response-35-usc-%C2%A7101-rejection/id=86881'];  

	
	def parse(self, response):
		#creating a textFile for scrapy to enter all of the text it scrapes
		textFile = open('example.txt', 'a');  

		# this item holds all the results from the below xpath query
		# it will gather text from anywhere in the body of the blog where the words, idiotic, regulations, rejection, or obvious are present
		item = response.xpath("//div[@class = 'text']/*["+
								"contains(., 'idiotic')"+
								" or contains(., 'regulations')"+
								" or contains(., 'rejection')"+
								" or contains(., 'obvious')"+
								"]//text()").getall();
		
		for items in item:
			textFile.write(items + '\n');
		textFile.close();